#include <iostream>
use namespace std;
main()
{
	long long C;
	int i,j,n;
	int N, P=0;

	cin>> C;
	i=0;
	while (C>0)
	{
		A[i]=C%10;
		C=C/10;
	
		n=i;
		i=i+1;
	
		N=n+1;
	}
/


	if (N<=10){
	 for (i=0;i<N-1;i++){
	 	for(j=i+1; j<N; j++){
	 		if (A[j]==A[i]){
	 			P=1;
			 }
		 }
	 }
		
		
	}

	for (i=1;i<N-1;i++)
	{
		if (A[i-1]==A[i+1])
		{
		//	printf("susedni su isti \n");
			T=0;
		}
		else 
		{
		//	printf("nema istih \n");
		}
	}
	if (P==0){
		cout<< 1;
		
	}
	return 0;
	
}